# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rs-autofixture"
version = "0.2.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust equivalent of .NET AutoFixture - quickly generate randomised test data fixtures"
readme = "README.md"
keywords = [
    "testing",
    "fixture",
    "autofixture",
    "random",
    "mock",
]
categories = ["development-tools::testing"]
license = "MIT"
repository = "https://github.com/BilbyFactor/rs-autofixture"
resolver = "2"

[features]
chrono = ["dep:chrono"]
derive = ["rs-autofixture-derive"]
double-tuples = []
nightly-float = []
tripple-tuples = ["double-tuples"]
uuid-extra = [
    "uuid/v1",
    "uuid/v3",
    "uuid/v5",
    "uuid/v6",
    "uuid/v7",
    "uuid/v8",
]
way-too-many-tuples = ["tripple-tuples"]

[lib]
name = "rs_autofixture"
path = "src/lib.rs"

[dependencies.chrono]
version = "0.4"
optional = true

[dependencies.num-traits]
version = "0.2"

[dependencies.paste]
version = "1.0"

[dependencies.rand]
version = "0.10"

[dependencies.rs-autofixture-derive]
version = "0.1.1"
optional = true

[dependencies.uuid]
version = "1.0"
features = ["v4"]
